Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.chart
Enum OdfTickMarkPositionType

    java.lang.Object
      java.lang.Enum<OdfTickMarkPositionType>
          org.odftoolkit.odfdom.dom.type.chart.OdfTickMarkPositionType

All Implemented Interfaces:
  Serializable, Comparable<OdfTickMarkPositionType>

    public enum OdfTickMarkPositionType

extends Enum<OdfTickMarkPositionType>

DOM implementation of OpenDocument attribute chart:tick-mark-position.

Enum Constant Summary
`AT_AXIS`
`AT_LABELS`
`AT_LABELS_AND_AXIS`

Method Summary
`static OdfTickMarkPositionType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfTickMarkPositionType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfTickMarkPositionType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfTickMarkPositionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### AT_AXIS

    public static final OdfTickMarkPositionType AT_AXIS

### AT_LABELS_AND_AXIS

    public static final OdfTickMarkPositionType AT_LABELS_AND_AXIS

### AT_LABELS

    public static final OdfTickMarkPositionType AT_LABELS

Method Detail

### values

    public static OdfTickMarkPositionType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfTickMarkPositionType c : OdfTickMarkPositionType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfTickMarkPositionType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfTickMarkPositionType>`
  Returns:
    return the name of OdfTickMarkPositionType

### toString

    public static String toString(OdfTickMarkPositionType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfTickMarkPositionType, see chart:tick-mark-position
  Returns:
    return the name of OdfTickMarkPositionType

### enumValueOf

    public static OdfTickMarkPositionType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfTickMarkPositionType
  Returns:
    return the constant of OdfTickMarkPositionType, see chart:tick-mark-position

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.